import es
import gamethread

##############################################
###########START CONFIG#######################
###EDIT THE SETTINGS, SO THEY GOOD FOR YOU####
##############################################

##	 Set this to "all", that all player hear the holy_grenade throwsound; Set This to "owner", that only the Player, which
##	 thrown the Grenade hears the holy_grenade throwsound
##	-> default "owner"

who_here_sounds = "owner"

##	Show the Granade as a Holy_grenade ?
##	1 = With Model 2 = Without Model
##	-> default 1

he_model = 1

##      Which Explode Sound do you want?
##      0 = Standard
##      1 = explode1
##      2 = explode2
##      3 = explode3
##      4 = explode4
##      -> default 1

he_explodesound = 1

##	Which Sound do you want, when the Granade is throwing?
##	0 = Standard
##	1 = throw1
##	2 = throw2
##	-> default 1

he_throwsound = 1


##########################################
###########END CONFIG#####################
##DON'T EDIT ANYTHING ABOVE THIS LINE#####
##########################################

nademodel = None

info = es.AddonInfo()
info.name = "Holy Grenade"
info.version = "3.1"
info.author = "Popoklopsi"
info.url = "http://www.team-wb.de/"
info.basename = "holy_grenade"
info.description = "A Holy Grenade like in Worms, with throwing Sound's, Exploding Sound's and Holy Grenade Model"

def load():
	global nademodel
	es.doblock('corelib/noisy_on') 
	es.set("%s" % info.basename,info.version)
	es.makepublic("%s" % info.basename)
	gamethread.delayed(3, model,())
	download()

def unload():
    	es.doblock('corelib/noisy_off')

def download():
   	if he_throwsound == 1:
      		es.stringtable("downloadables", "sound/holy_grenade/throw1.wav")
   	if he_throwsound == 2:
      		es.stringtable("downloadables", "sound/holy_grenade/throw2.wav")
   	if he_explodesound == 1:
      		es.stringtable("downloadables", "sound/holy_grenade/explode1.wav")
  	if he_explodesound == 2:
      		es.stringtable("downloadables", "sound/holy_grenade/explode2.wav")
   	if he_explodesound == 3:
      		es.stringtable("downloadables", "sound/holy_grenade/explode3.wav")
   	if he_explodesound == 4:
      		es.stringtable("downloadables", "sound/holy_grenade/explode4.wav")
   	if he_model == 1:
      		es.stringtable("downloadables", "materials/holy_grenade/holy_grenade.vtf")
   	if he_model == 1:
     		es.stringtable("downloadables", "materials/holy_grenade/holy_grenade.vmt")
   	if he_model == 1:
      		es.stringtable("downloadables", "models/holy_grenade/holy_grenade.mdl")
   	if he_model == 1:
     	        es.stringtable("downloadables", "models/holy_grenade/holy_grenade.xbox.vtx")
   	if he_model == 1:
      		es.stringtable("downloadables", "models/holy_grenade/holy_grenade.vvd")
   	if he_model == 1:
      		es.stringtable("downloadables", "models/holy_grenade/holy_grenade.sw.vtx")
   	if he_model == 1:
      		es.stringtable("downloadables", "models/holy_grenade/holy_grenade.phy")
   	if he_model == 1:
      		es.stringtable("downloadables", "models/holy_grenade/holy_grenade.dx80.vtx")
   	if he_model == 1:
      		es.stringtable("downloadables", "models/holy_grenade/holy_grenade.dx90.vtx")

def model():
    	global nademodel
    	if he_model == 1:
       		nademodel = es.precachemodel("models/holy_grenade/holy_grenade.mdl")

def weapon_fire(ev):
	if ev["weapon"] == "hegrenade":
	   	if who_here_sounds == "owner":
	      		if he_throwsound == 1:
                        	es.cexec(ev["userid"], "play holy_grenade/throw1.wav")
			if he_throwsound == 2:
                                es.cexec(ev["userid"], "play holy_grenade/throw2.wav")
		if who_here_sounds == "all":
			if he_throwsound == 1:
                                es.cexec_all("play holy_grenade/throw1.wav")
			if he_throwsound == 2:
                                es.cexec_all("play holy_grenade/throw2.wav")
		if he_model == 1: 
                   	gamethread.delayed(0.1, change,())

def es_map_start(ev):
	gamethread.delayed(3, model,())
    	download()

def hegrenade_detonate(ev):
    	if who_here_sounds == "owner":
       		if he_explodesound == 1:
          		es.cexec(ev["userid"], "play holy_grenade/explode1.wav")
       		if he_explodesound == 2:
          		es.cexec(ev["userid"], "play holy_grenade/explode2.wav")
       		if he_explodesound == 3:
         	        es.cexec(ev["userid"], "play holy_grenade/explode3.wav")
       		if he_explodesound == 4:
          		es.cexec(ev["userid"], "play holy_grenade/explode4.wav")
    	if who_here_sounds == "all":
       		if he_explodesound == 1:
         		es.cexec_all("play holy_grenade/explode1.wav")
       		if he_explodesound == 2:
          		es.cexec_all("play holy_grenade/explode2.wav")
       		if he_explodesound == 3:
          		es.cexec_all("play holy_grenade/explode3.wav")
       		if he_explodesound == 4:
         	        es.cexec_all("play holy_grenade/explode4.wav")

def change():
    	nadelist = es.createentitylist("hegrenade_projectile")
    	for x in nadelist:
		es.setindexprop(x, "CBaseEntity.m_nModelIndex", nademodel)
		es.setindexprop(x, "CBaseEntity.m_clrRender", -1)
    	nadelist = None

def round_start(ev):
	es.msg("#multi", "#green[Holy_grenade]#lightgreen All grenades have become Holy Grenades")